Loading...
Searching...
No Matches
sensors::NumericSensor::MinMaxResetEvent Struct Reference

Event: Min / Max value has been reset. More...

`import "NumericSensor.idl";`

Inheritance diagram for sensors::NumericSensor::MinMaxResetEvent:

## Public Attributes

MinMax | oldMinMax
| Min / max before reset.
MinMax | newMinMax
| Min / max after reset, incl. new observedSince timestamp.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Min / Max value has been reset.

Definition at line 201 of file NumericSensor.idl.

## Member Data Documentation

## newMinMax

MinMax sensors::NumericSensor::MinMaxResetEvent::newMinMax

Min / max after reset, incl. new observedSince timestamp.

Definition at line 203 of file NumericSensor.idl.

## oldMinMax

MinMax sensors::NumericSensor::MinMaxResetEvent::oldMinMax

Min / max before reset.

Definition at line 202 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl